# Method: enterprises.policies.removePolicyApplications

- [HTTP request](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.request_body)
  - [JSON representation](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.response_body)
  - [JSON representation](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.RemovePolicyApplicationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#body.aspect)
- [Try it!](https://developers.google.com/android/management/reference/rest/v1/enterprises.policies/removePolicyApplications#try-it)

Removes applications in a policy.

### HTTP request

`POST https://androidmanagement.googleapis.com/v1/{name=enterprises/*/policies/*}:removePolicyApplications`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the policy containing the ApplicationPolicy objects to be removed, in the form `enterprises/{enterpriseId}/policies/{policyId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "packageNames": [ string ] } ``` |

| Fields ||
|---|---|
| `packageNames[]` | `string` Required. Package names to be removed. Entries that are not found are ignored. There must be at least one entry in `packageNames`. |

### Response body

Response to a request to remove ApplicationPolicy objects in the given policy.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "policy": { object (`https://developers.google.com/android/management/reference/rest/v1/enterprises.policies#Policy`) } } ``` |

| Fields ||
|---|---|
| `policy` | ``object (`https://developers.google.com/android/management/reference/rest/v1/enterprises.policies#Policy`)`` The updated policy after ApplicationPolicy objects have been removed. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidmanagement`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).